Texa Desk Application API · Conversations
Create New Conversation
POST/
Creating a conversation in texa-desk requires a source id.
Learn more about source_id: https://www.texa-desk.com/hc/user-guide/articles/1677839703-how-to-create-an-api-channel-inbox#send-messages-to-the-api-channel
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Body application/json
source_idstringrequiredConversation source id
inbox_idintegerId of inbox in which the conversation is created
Allowed Inbox Types: Website, Phone, Api, Email
contact_idintegerContact Id for which conversation is created
additional_attributesobjectLets you specify attributes like browser information
custom_attributesobjectThe object to save custom attributes for conversation, accepts custom attributes key and value
statusstringSpecify the conversation whether it's pending, open, closed One of: open, resolved, pending.
assignee_idintegerAgent Id for assigning a conversation to an agent
team_idintegerTeam Id for assigning a conversation to a team\
snoozed_untilstring (date-time)Snoozed until date time
messageobjectThe initial message to be sent to the conversation
message.contentstringrequiredThe content of the message
message.template_paramsobjectThe template params for the message in case of whatsapp Channel
message.template_params.namestringName of the template
message.template_params.categorystringCategory of the template
message.template_params.languagestringLanguage of the template
message.template_params.processed_paramsobjectThe processed param values for template variables in template
Responses
200Success
idnumberID of the conversation
account_idnumberAccount Id
inbox_idnumberID of the inbox
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring